import { Condition } from '../../../core/condition';
import { CompositeCondition } from '../../../core/composite-condition';
import { ArrayCheckerService } from './array-checker.service';
export declare class ConditionsCreationService {
    private arrayCheckerService;
    constructor(arrayCheckerService: ArrayCheckerService);
    private returnConditionType(conditionJSON);
    returnCondition(branchJSON: any): Condition;
    isComposite(compositeElementJSON: any): boolean;
    private returnConditionFromJSON(conditionIdentifier, conditionJSON);
    private returnConditions(conditionsJSON);
    isHybrid(compositeElementJSON: any): boolean;
    returnCompositeCondition(data: any): CompositeCondition;
    returnCompositeConditionFromName(elementName: string): CompositeCondition;
    private addConditionsToInnerConditions(key, value, compositeCondition);
    private returnInnerConditions(innerConditionsJSON, compositeCondition);
}
